com.ihr.xbrl.om.instance

## Class XBRLSegment

- java.lang.Object
- - com.ihr.xbrl.om.XMLFragment
  - - com.ihr.xbrl.om.instance.XBRLDimensionsContainer
    - - com.ihr.xbrl.om.instance.XBRLSegment

- All Implemented Interfaces:
    HasAdditionalEqualityForReassignation, XBRLRelationshipPoint, Thinable, XMLHasParent, java.lang.Cloneable, javax.xml.namespace.NamespaceContext

      public class XBRLSegment
      extends XBRLDimensionsContainer
      implements HasAdditionalEqualityForReassignation

  The Class XBRLSegment.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `segmentNode` The Constant segmentNode.

    - ### Fields inherited from class com.ihr.xbrl.om.XMLFragment

      `CONCEPT_LABEL, CONCEPT_QNAME, EASY_TO_READ, ELEMENT_LABEL, EMPTYRELATIONSHIPSITERATORINSTANCE, EMPTYXMLFRAGMENTITERATORINSTANCE, FACT_CONCEPT_DATATYPE, FACT_CONCEPT_LABEL, FACT_QNAME, HIDE_COMMON_ACCURACY, idQName, NO_POSITION, OrderComparator, OrderComparator2, PERIOD_TYPE, PERIOD_VALUE, SHORT_TEXT, SOURCE_DOCUMENT, XPATH, XPOINTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLSegment(DTSContainer dts)` Instantiates a new XBRL segment.
    `XBRLSegment(DTSContainer dts, net.sf.saxon.s9api.XdmNode node)` Instantiates a new XBRL segment.
    `XBRLSegment(XBRLSegment other)` Instantiates a new XBRL segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XBRLSegment` | `clone()`
    `XBRLSegment` | `clone(DTSContainer newDTS)` Clone.
    `boolean` | `equals(java.lang.Object other)` Compares two segments.
    `boolean` | `resolve_equal2(net.sf.saxon.s9api.XdmNode otherXdmNode)` resolves content that is added by this XMLFragment during XMLNode serialization and may not be available to the lower levels in the hierarchy.
    `boolean` | `s_equal2(java.lang.Object other)` Resolves s_equal2 comparison of this node against the other node.

    - ### Methods inherited from class com.ihr.xbrl.om.instance.XBRLDimensionsContainer

      `addContent, arrangeContent, generateNode, getContent, hashCode, isEmpty, resetContent, setContent`

    - ### Methods inherited from class com.ihr.xbrl.om.XMLFragment

      `addAttribute, addChild, addFromRelationship, addNamespace, addNamespace, addToRelationship, addXMLChild, changeBase, checkBase, clear, delAttribute, delAttribute, equalXdmValues, evaluateBoolean, evaluateList, evaluateNode, evaluateNumber, evaluateString, generateId, generateNodeNamespacesAndAttributes, generateNodeValue, generatePrefix, getAllAttributes, getAttribute, getAttributeBooleanValue, getAttributeQNameValue, getAttributes, getAttributes, getAttributeStringValue, getAttributeValue, getBase, getBase, getBaseURI, getBooleanValue, getChild, getContainer, getContainerDocumentURI, getDeclaredNamespaces, getDocument, getElements, getElementsHashCode, getFragment, getFriendlyName, getFriendlyName, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getGenericLabelText, getId, getLang, getNamespaceURI, getNodeName, getNumberOfAttributes, getNumberOfElements, getNumberOfFromRelationships, getNumberOfToRelationships, getOrGenerateId, getParent, getPrefix, getPrefixes, getQNameValue, getRelationshipsBases, getRelationshipsChain, getRelationshipTypes, getStaticContext, getStaticNamespace, getStringValue, getToolTipText, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getValue, getXPathExecutable, getXPathNamespaceContext, getXPathToNode, getXPathToRoot, getXPointerElementScheme, getXPointerElementScheme, getXPointerShorthandScheme, getXPointerToNode, isDead, isNamespaceDefined, isXdmDocumentAttached, objEquals, objHashCode, qNameToString, removeAttribute, removeChild, removeChild, removeFromRelationship, removeToRelationship, removeXMLChild, resetElements, resetHash, resolveHRef, resolveHRef, s_equal2, s_equal2, setAttributes, setBase, setDocument, setDocumentAndReload, setElements, setId, setLang, setNamespaceContext, setNamespaces, setNode, setNodeName, setParent, setRegenerateNodeIfnotFound, setValue, setValue, setVariablesDefined, size, thin, toString, valueEquals, xEqual`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### segmentNode

          public static final javax.xml.namespace.QName segmentNode

      The Constant segmentNode.

  - ### Constructor Detail

    - #### XBRLSegment

          public XBRLSegment(DTSContainer dts,
                     net.sf.saxon.s9api.XdmNode node)

      Instantiates a new XBRL segment.
      Parameters:
        `dts` - the dts
        `node` - the node

    - #### XBRLSegment

          public XBRLSegment(DTSContainer dts)

      Instantiates a new XBRL segment.
      Parameters:
        `dts` - DTSContainer

    - #### XBRLSegment

          public XBRLSegment(XBRLSegment other)

      Instantiates a new XBRL segment.
      Parameters:
        `other` - XBRLSegment to clone. The new XBRLSegment will use the same content as this XBRLSegment object

  - ### Method Detail

    - #### clone

          public XBRLSegment clone()

      Overrides:
        `clone` in class `XMLFragment`

    - #### clone

          public XBRLSegment clone(DTSContainer newDTS)

      Description copied from class: `XMLFragment`
      Clone.
      Overrides:
        `clone` in class `XMLFragment`
      Parameters:
        `newDTS` - the new dts
      Returns:
        the XML fragment

    - #### equals

          public boolean equals(java.lang.Object other)

      Compares two segments.
      Overrides:
        `equals` in class `XBRLDimensionsContainer`
      Parameters:
        `other` - the other
      Returns:
        true, if successful

    - #### s_equal2

          public boolean s_equal2(java.lang.Object other)

      Description copied from class: `XMLFragment`
      Resolves s_equal2 comparison of this node against the other node.
      Overrides:
        `s_equal2` in class `XMLFragment`
      Parameters:
        `other` - The other node (preferably an XMLFragment) that contains a non null NodeInfo document.
      Returns:
        boolean

    - #### resolve_equal2

          public boolean resolve_equal2(net.sf.saxon.s9api.XdmNode otherXdmNode)

      Description copied from interface: `HasAdditionalEqualityForReassignation`
      resolves content that is added by this XMLFragment during XMLNode serialization and may not be available to the lower levels in the hierarchy.
      Specified by:
        `resolve_equal2` in interface `HasAdditionalEqualityForReassignation`
      Overrides:
        `resolve_equal2` in class `XMLFragment`
      Parameters:
        `otherXdmNode` - the other xdm node
      Returns:
        true, if successful